For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET Season by ID

This endpoint returns a season by its ID.

https://api.sportmonks.com/v3/motorsport/seasons/SEASON_ID
{
    "data": [
        {
            "id": 25273,
            "sport_id": 2,
            "league_id": 3468,
            "tie_breaker_rule_id": 573,
            "name": "2025",
            "finished": false,
            "pending": false,
            "is_current": true,
            "starting_at": "2025-03-14",
            "ending_at": "2025-12-07",
            "standings_recalculated_at": "2025-07-06 16:23:46",
            "games_in_current_week": false
        }
    ],
Field
Description
Type

id

Refers to the id of the season

integer

sport_id

Refers to the sport of the season

integer

league_id

Refers to the league of the season

integer

tie_breaker_rule_id

Refers to the type of tie-breaker rule used to determine the season winner

integer

name

The name of the season

string

finished

Indicates if the season finished or not

integer

pending

Indicates if the season pending or not

integer

is_current

Indicates if the season is the current season or not

integer

starting_at

The starting date of the season

string

ending_at

The ending date of the season

string

standings_recalculated_at

The timestamp when standings were last updated

string

games_in_current_week

Not used in the Motorsport API

boolean

Query Parameters
Required?
Description

api_token

YES

Your unique API token

include

NO

Enrich the API with more data by using includes

select

NO

Select specific fields on the base entity

filters

NO

Filter the API response on multiple related entities. There are static filters and dynamic filters.

Please find the possibilities in the Static and Dynamic Filter tab.

Static filters are always the same and filter in one specific way without any custom options. Each static filter is listed below and has a description of how it filters. For more information, please look at our Filters page.

Not applicable for this endpoint.

Pagination

YES

Include depth

You can use a total of 3 nested includes on this endpoint

Include options

sport league stages currentStage fixtures teams

Related Entities:

Get an overview and explanation of all the fields returned in the API response. The related entities for the Season endpoints are:

Code Example

require "uri"
require "net/http"

url = URI("https://api.sportmonks.com/v3/motorsport/seasons/26733?api_token={your_token}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)

response = https.request(request)
puts response.read_body
import http.client

conn = http.client.HTTPSConnection("api.sportmonks.com")
payload = ''
headers = {}
conn.request("GET", "/v3/motorsport/seasons/26733?api_token={your_token}", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))

Last updated

Was this helpful?